org.apache.pdfbox.pdmodel.font

## Interface PDVectorFont

All Known Implementing Classes:
  PDCIDFont, PDCIDFontType0, PDCIDFontType2, PDMMType1Font, PDTrueTypeFont, PDType0Font, PDType1CFont, PDType1Font

    public interface PDVectorFont

A vector outline font, e.g. not Type 3.

Author:
  John Hewson

### Method Summary

All Methods Instance Methods Abstract Methods
`GeneralPath` `getNormalizedPath(int code)` Returns the normalized glyph path for the given character code in a PDF.
`GeneralPath` `getPath(int code)` Returns the glyph path for the given character code.
`boolean` `hasGlyph(int code)` Returns true if this font contains a glyph for the given character code in a PDF.

### Method Detail

#### getPath

    GeneralPath getPath(int code)
                 throws IOException

Returns the glyph path for the given character code.

Parameters:
  `code` - character code in a PDF. Not to be confused with unicode.
Returns:
  the glyph path for the given character code
Throws:
  `IOException` - if the font could not be read

#### getNormalizedPath

    GeneralPath getNormalizedPath(int code)
                           throws IOException

Returns the normalized glyph path for the given character code in a PDF. The resulting path is normalized to the PostScript 1000 unit square, and fallback glyphs are returned where appropriate, e.g. for missing glyphs.

Parameters:
  `code` - character code in a PDF. Not to be confused with unicode.
Returns:
  the normalized glyph path for the given character code
Throws:
  `IOException` - if the font could not be read

#### hasGlyph

    boolean hasGlyph(int code)
              throws IOException

Returns true if this font contains a glyph for the given character code in a PDF.

Parameters:
  `code` - character code in a PDF. Not to be confused with unicode.
Returns:
  true if this font contains a glyph for the given character code
Throws:
  `IOException` - if the font could not be read